cURL
curl -X GET "https://api.kadoa.com/v4/changes?workflowIds=123,456&startDate=2024-01-01T00:00:00Z&endDate=2024-03-01T00:00:00Z" \
-H "x-api-key: YOUR_API_KEY"
# Exclude data and differences fields for smaller response
curl -X GET "https://api.kadoa.com/v4/changes?workflowIds=123,456&exclude=data,differences" \
-H "x-api-key: YOUR_API_KEY"import requests
url = "https://api.kadoa.com/v4/changes"
headers = {
"x-api-key": "YOUR_API_KEY"
}
params = {
"workflowIds": "123,456",
"startDate": "2024-01-01T00:00:00Z",
"endDate": "2024-03-01T00:00:00Z"
}
response = requests.get(url, headers=headers, params=params)
data = response.json()
print(data)
# Exclude data and differences fields for smaller response
params["exclude"] = "data,differences"
response = requests.get(url, headers=headers, params=params)
data = response.json()
print(data)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.kadoa.com/v4/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timestamp": "2023-11-07T05:31:56Z",
"changesCount": 123,
"changes": [
{
"id": "<string>",
"workflowId": "<string>",
"data": [
{}
],
"dataPending": true,
"differences": [
{
"type": "added",
"fields": [
{
"key": "<string>",
"value": "<string>",
"previousValue": "<string>"
}
]
}
],
"differencesCounts": {
"added": 123,
"removed": 123,
"changed": 123
},
"url": "<string>",
"summary": "<string>",
"screenshotUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"totalCount": 123,
"page": 123,
"totalPages": 123,
"limit": 123
}
}Data Changes
Get all data changes
GET
/
v4
/
changes
cURL
curl -X GET "https://api.kadoa.com/v4/changes?workflowIds=123,456&startDate=2024-01-01T00:00:00Z&endDate=2024-03-01T00:00:00Z" \
-H "x-api-key: YOUR_API_KEY"
# Exclude data and differences fields for smaller response
curl -X GET "https://api.kadoa.com/v4/changes?workflowIds=123,456&exclude=data,differences" \
-H "x-api-key: YOUR_API_KEY"import requests
url = "https://api.kadoa.com/v4/changes"
headers = {
"x-api-key": "YOUR_API_KEY"
}
params = {
"workflowIds": "123,456",
"startDate": "2024-01-01T00:00:00Z",
"endDate": "2024-03-01T00:00:00Z"
}
response = requests.get(url, headers=headers, params=params)
data = response.json()
print(data)
# Exclude data and differences fields for smaller response
params["exclude"] = "data,differences"
response = requests.get(url, headers=headers, params=params)
data = response.json()
print(data)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.kadoa.com/v4/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timestamp": "2023-11-07T05:31:56Z",
"changesCount": 123,
"changes": [
{
"id": "<string>",
"workflowId": "<string>",
"data": [
{}
],
"dataPending": true,
"differences": [
{
"type": "added",
"fields": [
{
"key": "<string>",
"value": "<string>",
"previousValue": "<string>"
}
]
}
],
"differencesCounts": {
"added": 123,
"removed": 123,
"changed": 123
},
"url": "<string>",
"summary": "<string>",
"screenshotUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"totalCount": 123,
"page": 123,
"totalPages": 123,
"limit": 123
}
}Authorizations
ApiKeyAuthBearerAuth
API key for authentication
Query Parameters
Comma-separated list of workflow IDs. If not provided, returns changes for all ACTIVE workflows
Start date to filter changes (ISO format)
End date to filter changes (ISO format, inclusive). A date-only value such as 2024-03-01 covers that whole day.
Number of records to skip for pagination
Number of records to return for pagination
Comma-separated list of fields to exclude from each change object (e.g., "data,differences")
Example:
"data,differences"
⌘I